Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class ClassAssigner

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      weka.gui.beans.ClassAssigner

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, BeanCommon, DataSource, DataSourceListener, EventConstraints, InstanceListener, StructureProducer, TestSetListener, TestSetProducer, TrainingSetListener, TrainingSetProducer, Visible

    public class ClassAssigner

extends javax.swing.JPanel
implements Visible, DataSourceListener, TrainingSetListener, TestSetListener, DataSource, TrainingSetProducer, TestSetProducer, BeanCommon, EventConstraints, java.io.Serializable, InstanceListener, StructureProducer

Bean that assigns a class attribute to a data set.

Version:
  $Revision: 7439 $
Author:
  Mark Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ClassAssigner()`

Method Summary
`void` | `acceptDataSet(DataSetEvent e)`
`void` | `acceptInstance(InstanceEvent e)` Accept and process an instance event
`void` | `acceptTestSet(TestSetEvent e)` Accept and process a test set event
`void` | `acceptTrainingSet(TrainingSetEvent e)` Accept and process a training set
`void` | `addDataFormatListener(DataFormatListener dfl)`
`void` | `addDataSourceListener(DataSourceListener tsl)` Add a data source listener
`void` | `addInstanceListener(InstanceListener tsl)` Add an instance listener
`void` | `addTestSetListener(TestSetListener tsl)` Add a listener for test set events
`void` | `addTrainingSetListener(TrainingSetListener tsl)` Add a training set listener
`java.lang.String` | `classColumnTipText()` Tool tip text for this property
`boolean` | `connectionAllowed(java.beans.EventSetDescriptor esd)` Returns true if, at this time, the object will accept a connection according to the supplied EventSetDescriptor
`boolean` | `connectionAllowed(java.lang.String eventName)` Returns true if, at this time, the object will accept a connection according to the supplied event name
`void` | `connectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been registered as a listener with a source with respect to the supplied event name
`void` | `disconnectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name
`boolean` | `eventGeneratable(java.lang.String eventName)` Returns true, if at the current time, the named event could be generated.
`java.lang.String` | `getClassColumn()`
`Instances` | `getConnectedFormat()` Returns the structure of the incoming instances (if any)
`java.lang.String` | `getCustomName()` Get the custom (descriptive) name for this bean (if one has been set)
`Instances` | `getStructure(java.lang.String eventName)` Get the structure of the output encapsulated in the named event.
`BeanVisual` | `getVisual()` Get the visual representation
`java.lang.String` | `globalInfo()` Global info for this bean
`boolean` | `isBusy()` Returns true if.
`void` | `removeDataFormatListener(DataFormatListener dfl)`
`void` | `removeDataSourceListener(DataSourceListener tsl)` Remove a data source listener
`void` | `removeInstanceListener(InstanceListener tsl)` Remove an instance listener
`void` | `removeTestSetListener(TestSetListener tsl)` Remove a listener for test set events
`void` | `removeTrainingSetListener(TrainingSetListener tsl)` Remove a training set listener
`void` | `setClassColumn(java.lang.String col)`
`void` | `setCustomName(java.lang.String name)` Set a custom (descriptive) name for this bean
`void` | `setLog(Logger logger)` Set a logger
`void` | `setVisual(BeanVisual newVisual)` Set a new visual representation
`void` | `stop()` Stop any processing that the bean might be doing.
`void` | `useDefaultVisual()` Use the default visual representation

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassAssigner

    public ClassAssigner()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Global info for this bean

  Returns:
    a `String` value

### setCustomName

    public void setCustomName(java.lang.String name)

  Set a custom (descriptive) name for this bean

  Specified by:
    `setCustomName` in interface `BeanCommon`
  Parameters:
    `name` - the name to use

### getCustomName

    public java.lang.String getCustomName()

  Get the custom (descriptive) name for this bean (if one has been set)

  Specified by:
    `getCustomName` in interface `BeanCommon`
  Returns:
    the custom name (or the default name)

### classColumnTipText

    public java.lang.String classColumnTipText()

  Tool tip text for this property

  Returns:
    a `String` value

### getStructure

    public Instances getStructure(java.lang.String eventName)

  Get the structure of the output encapsulated in the named event. If the structure can't be determined in advance of seeing input, or this StructureProducer does not generate the named event, null should be returned.

  Specified by:
    `getStructure` in interface `StructureProducer`
  Parameters:
    `eventName` - the name of the output event that encapsulates the requested output.
  Returns:
    the structure of the output encapsulated in the named event or null if it can't be determined in advance of seeing input or the named event is not generated by this StructureProduce.

### getConnectedFormat

    public Instances getConnectedFormat()

  Returns the structure of the incoming instances (if any)

  Returns:
    an `Instances` value

### setClassColumn

    public void setClassColumn(java.lang.String col)

### getClassColumn

    public java.lang.String getClassColumn()

### acceptDataSet

    public void acceptDataSet(DataSetEvent e)

  Specified by:
    `acceptDataSet` in interface `DataSourceListener`

### acceptTrainingSet

    public void acceptTrainingSet(TrainingSetEvent e)

  Description copied from interface: `TrainingSetListener`
  Accept and process a training set

  Specified by:
    `acceptTrainingSet` in interface `TrainingSetListener`
  Parameters:
    `e` - a `TrainingSetEvent` value

### acceptTestSet

    public void acceptTestSet(TestSetEvent e)

  Description copied from interface: `TestSetListener`
  Accept and process a test set event

  Specified by:
    `acceptTestSet` in interface `TestSetListener`
  Parameters:
    `e` - a `TestSetEvent` value

### acceptInstance

    public void acceptInstance(InstanceEvent e)

  Description copied from interface: `InstanceListener`
  Accept and process an instance event

  Specified by:
    `acceptInstance` in interface `InstanceListener`
  Parameters:
    `e` - an `InstanceEvent` value

### addInstanceListener

    public void addInstanceListener(InstanceListener tsl)

  Description copied from interface: `DataSource`
  Add an instance listener

  Specified by:
    `addInstanceListener` in interface `DataSource`
  Parameters:
    `tsl` - an `InstanceListener` value

### removeInstanceListener

    public void removeInstanceListener(InstanceListener tsl)

  Description copied from interface: `DataSource`
  Remove an instance listener

  Specified by:
    `removeInstanceListener` in interface `DataSource`
  Parameters:
    `tsl` - an `InstanceListener` value

### addDataSourceListener

    public void addDataSourceListener(DataSourceListener tsl)

  Description copied from interface: `DataSource`
  Add a data source listener

  Specified by:
    `addDataSourceListener` in interface `DataSource`
  Parameters:
    `tsl` - a `DataSourceListener` value

### removeDataSourceListener

    public void removeDataSourceListener(DataSourceListener tsl)

  Description copied from interface: `DataSource`
  Remove a data source listener

  Specified by:
    `removeDataSourceListener` in interface `DataSource`
  Parameters:
    `tsl` - a `DataSourceListener` value

### addTrainingSetListener

    public void addTrainingSetListener(TrainingSetListener tsl)

  Description copied from interface: `TrainingSetProducer`
  Add a training set listener

  Specified by:
    `addTrainingSetListener` in interface `TrainingSetProducer`
  Parameters:
    `tsl` - a `TrainingSetListener` value

### removeTrainingSetListener

    public void removeTrainingSetListener(TrainingSetListener tsl)

  Description copied from interface: `TrainingSetProducer`
  Remove a training set listener

  Specified by:
    `removeTrainingSetListener` in interface `TrainingSetProducer`
  Parameters:
    `tsl` - a `TrainingSetListener` value

### addTestSetListener

    public void addTestSetListener(TestSetListener tsl)

  Description copied from interface: `TestSetProducer`
  Add a listener for test set events

  Specified by:
    `addTestSetListener` in interface `TestSetProducer`
  Parameters:
    `tsl` - a `TestSetListener` value

### removeTestSetListener

    public void removeTestSetListener(TestSetListener tsl)

  Description copied from interface: `TestSetProducer`
  Remove a listener for test set events

  Specified by:
    `removeTestSetListener` in interface `TestSetProducer`
  Parameters:
    `tsl` - a `TestSetListener` value

### addDataFormatListener

    public void addDataFormatListener(DataFormatListener dfl)

### removeDataFormatListener

    public void removeDataFormatListener(DataFormatListener dfl)

### setVisual

    public void setVisual(BeanVisual newVisual)

  Description copied from interface: `Visible`
  Set a new visual representation

  Specified by:
    `setVisual` in interface `Visible`
  Parameters:
    `newVisual` - a `BeanVisual` value

### getVisual

    public BeanVisual getVisual()

  Description copied from interface: `Visible`
  Get the visual representation

  Specified by:
    `getVisual` in interface `Visible`
  Returns:
    a `BeanVisual` value

### useDefaultVisual

    public void useDefaultVisual()

  Description copied from interface: `Visible`
  Use the default visual representation

  Specified by:
    `useDefaultVisual` in interface `Visible`

### connectionAllowed

    public boolean connectionAllowed(java.lang.String eventName)

  Returns true if, at this time, the object will accept a connection according to the supplied event name

  Specified by:
    `connectionAllowed` in interface `BeanCommon`
  Parameters:
    `eventName` - the event
  Returns:
    true if the object will accept a connection

### connectionAllowed

    public boolean connectionAllowed(java.beans.EventSetDescriptor esd)

  Returns true if, at this time, the object will accept a connection according to the supplied EventSetDescriptor

  Specified by:
    `connectionAllowed` in interface `BeanCommon`
  Parameters:
    `esd` - the EventSetDescriptor
  Returns:
    true if the object will accept a connection

### connectionNotification

    public void connectionNotification(java.lang.String eventName,
                                       java.lang.Object source)

  Notify this object that it has been registered as a listener with a source with respect to the supplied event name

  Specified by:
    `connectionNotification` in interface `BeanCommon`
  Parameters:
    `eventName` - the event
    `source` - the source with which this object has been registered as a listener

### disconnectionNotification

    public void disconnectionNotification(java.lang.String eventName,
                                          java.lang.Object source)

  Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name

  Specified by:
    `disconnectionNotification` in interface `BeanCommon`
  Parameters:
    `eventName` - the event
    `source` - the source with which this object has been registered as a listener

### setLog

    public void setLog(Logger logger)

  Description copied from interface: `BeanCommon`
  Set a logger

  Specified by:
    `setLog` in interface `BeanCommon`
  Parameters:
    `logger` - a `weka.gui.Logger` value

### stop

    public void stop()

  Description copied from interface: `BeanCommon`
  Stop any processing that the bean might be doing.

  Specified by:
    `stop` in interface `BeanCommon`

### isBusy

    public boolean isBusy()

  Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).

  Specified by:
    `isBusy` in interface `BeanCommon`
  Returns:
    true if the bean is busy.

### eventGeneratable

    public boolean eventGeneratable(java.lang.String eventName)

  Returns true, if at the current time, the named event could be generated. Assumes that the supplied event name is an event that could be generated by this bean

  Specified by:
    `eventGeneratable` in interface `EventConstraints`
  Parameters:
    `eventName` - the name of the event in question
  Returns:
    true if the named event could be generated at this point in time

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD